<?xml version="1.0"?>
<!-- $Id: ACK_A05.xml 36566 2013-07-15 09:06:52Z aberge $-->
<!-- Copyright 2011 IHE International (http://www.ihe.net) Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. -->
<?xml-stylesheet type="text/xsl" href="http://gazelle.ihe.net/xsl/mp2htm.xsl"?>
<HL7v2xConformanceProfile HL7Version="2.3.1" ProfileType="Constrainable">
	<MetaData Name="PIF" OrgName="IHE" Version="2.3" Status="DRAFT" Topics="confsig-IHE-2.3.1-profile-accNE_accAL-Deferred"/>
	<ImpNote>ACK/A05 - ACK A05 Message</ImpNote>
	<UseCase/>
	<Encodings>
		<Encoding>ER7</Encoding>
	</Encodings>
	<DynamicDef AccAck="NE" AppAck="AL" MsgAckMode="Deferred"/>
	<HL7v2xStaticDef MsgType="ACK" EventType="A05" MsgStructID="ACK" EventDesc="ADT/ACK - Pre-admit a patient" Role="Receiver">
		<MetaData Name="Patient Identity Feed" OrgName="IHE" Version="2.4" Status="DRAFT" Topics="confsig-IHE-2.3.1-static-ACK-A05-null--2.3-DRAFT-Receiver"/>
		<Segment Name="MSH" LongName="message header segment" Usage="R" Min="1" Max="1">
			<Field Name="Field Separator" Usage="R" Min="1" Max="1" Datatype="ST" Length="1" ItemNo="00001">
				<Reference>11.6.1</Reference>
			</Field>
			<Field Name="Encoding Characters" Usage="R" Min="1" Max="1" Datatype="ST" Length="4" ItemNo="00002">
				<Reference>11.2.2</Reference>
			</Field>
			<Field Name="Sending Application" Usage="R" Min="1" Max="1" Datatype="HD" Length="180" Table="0361" ItemNo="00003">
				<Reference>11.2.3</Reference>
				<Component Table="0300" Name="namespace ID" Usage="O" Datatype="IS" Length="3"/>
				<Component Name="universal ID" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="universal ID type" Usage="O" Datatype="ID" Length="3" Table="0301"/>
			</Field>
			<Field Name="Sending Facility" Usage="R" Min="1" Max="1" Datatype="HD" Length="180" Table="0362" ItemNo="00004">
				<Reference>11.2.4</Reference>
				<Component Table="0300" Name="namespace ID" Usage="O" Datatype="IS" Length="3"/>
				<Component Name="universal ID" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="universal ID type" Usage="O" Datatype="ID" Length="3" Table="0301"/>
			</Field>
			<Field Name="Receiving Application" Usage="R" Min="1" Max="1" Datatype="HD" Length="180" Table="0361" ItemNo="00005">
				<Reference>11.6.6</Reference>
				<Component Table="0300" Name="namespace ID" Usage="O" Datatype="IS" Length="3"/>
				<Component Name="universal ID" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="universal ID type" Usage="O" Datatype="ID" Length="3" Table="0301"/>
			</Field>
			<Field Name="Receiving Facility" Usage="R" Min="1" Max="1" Datatype="HD" Length="180" Table="0362" ItemNo="00006">
				<Reference>11.2.6</Reference>
				<Component Table="0300" Name="namespace ID" Usage="O" Datatype="IS" Length="3"/>
				<Component Name="universal ID" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="universal ID type" Usage="O" Datatype="ID" Length="3" Table="0301"/>
			</Field>
			<Field Name="Date/Time Of Message" Usage="R" Min="1" Max="1" Datatype="TS" Length="26" ItemNo="00007">
				<Reference>11.2.7</Reference>
				<!-- Caroline Rosin (NIST) : changed NM to ST to allow [+-ZZZZ] -->
				<Component Name="Date/Time" Usage="R" Datatype="ST" Length="26">
					<ImpNote>YYYYMMDD[HHHMM[SS[.SSSS]]][+-ZZZZ]</ImpNote>
				</Component>
				<Component Name="degree of precision" Usage="X" Datatype="ST" Length="1">
					<ImpNote>Retained for backward compatibility only</ImpNote>
				</Component>
			</Field>
			<Field Name="Security" Usage="O" Min="0" Max="1" Datatype="ST" Length="40" ItemNo="00008">
				<Reference>11.6.3</Reference>
			</Field>
			<!-- Caroline Rosin (NIST) : changed length from 15 to 9. -->
			<Field Name="Message Type" Usage="R" Min="1" Max="1" Datatype="MSG" Length="9" Table="0076" ItemNo="00009">
				<Reference>11.3.3</Reference>
				<Component Name="message type" Usage="R" Datatype="ID" Length="3"/>
				<Component Name="trigger event" Usage="O" Datatype="ID" Length="3"/>
				<!-- Caroline Rosin (NIST) : changed length from 7 to 3. -->
				<Component Name="message structure" Usage="O" Datatype="ID" Length="3"/>
			</Field>
			<Field Name="Message Control ID" Usage="R" Min="1" Max="1" Datatype="ST" Length="20" ItemNo="00010">
				<Reference>2.24.2.2</Reference>
			</Field>
			<Field Name="Processing ID" Usage="R" Min="1" Max="1" Datatype="PT" Length="6" Table="0103" ItemNo="00011">
				<Reference>2.24.1.11</Reference>
				<Component Name="processing ID" Usage="O" Datatype="ID" Length="3"/>
				<Component Name="processing mode" Usage="O" Datatype="ID" Length="3"/>
			</Field>
			<Field Name="Version ID" Usage="R" Min="1" Max="1" Datatype="VID" Length="60" Table="0104" ItemNo="00012">
				<Reference>2.24.1.12</Reference>
				<!-- Caroline Rosin (NIST) : changed usage from O to R. -->
				<Component Name="version ID" Usage="R" Datatype="ID" Length="3"/>
				<Component Name="internationalization code" Usage="O" Datatype="CE" Length="18">
					<SubComponent Name="identifier" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="text" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="name of coding system" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="alternate identifier" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="alternate text" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="name of alternate coding system" Usage="O" Datatype="ST" Length="3"/>
				</Component>
				<Component Name="international version ID" Usage="O" Datatype="CE" Length="18">
					<SubComponent Name="identifier" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="text" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="name of coding system" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="alternate identifier" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="alternate text" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="name of alternate coding system" Usage="O" Datatype="ST" Length="3"/>
				</Component>
			</Field>
			<Field Name="Sequence Number" Usage="O" Min="0" Max="1" Datatype="NM" Length="15" ItemNo="00013">
				<Reference>2.24.1.13</Reference>
			</Field>
			<Field Name="Continuation Pointer" Usage="O" Min="0" Max="1" Datatype="ST" Length="180" ItemNo="00014">
				<Reference>2.24.8.1</Reference>
			</Field>
			<Field Name="Accept Acknowledgment Type" Usage="O" Min="0" Max="1" Datatype="ID" Length="2" Table="0155" ItemNo="00015">
				<Reference>2.24.1.15</Reference>
			</Field>
			<Field Name="Application Acknowledgment Type" Usage="O" Min="0" Max="1" Datatype="ID" Length="2" Table="0155" ItemNo="00016">
				<Reference>2.24.1.16</Reference>
			</Field>
			<Field Name="Country Code" Usage="O" Min="0" Max="1" Datatype="ID" Length="2" ItemNo="00017">
				<Reference>2.24.1.17</Reference>
			</Field>
			<Field Name="Character Set" Usage="C" Min="0" Max="*" Datatype="ID" Length="16" Table="0211" ItemNo="00692">
				<Reference>2.24.1.18</Reference>
			</Field>
			<Field Name="Principal Language Of Message" Usage="O" Min="0" Max="1" Datatype="CE" Length="60" ItemNo="00693">
				<Reference>2.24.1.19</Reference>
				<Component Name="identifier" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="text" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="name of coding system" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="alternate identifier" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="alternate text" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="name of alternate coding system" Usage="O" Datatype="ST" Length="3"/>
			</Field>
			<Field Name="Alternate Character Set Handling Scheme" Usage="O" Min="0" Max="1" Datatype="ID" Length="20" Table="0356" ItemNo="01317">
				<Reference>2.24.1.20</Reference>
			</Field>
		</Segment>
		<Segment Name="MSA" LongName="message acknowledgment segment" Usage="R" Min="1" Max="1">
			<Field Name="Acknowledgment Code" Usage="R" Min="1" Max="1" Datatype="ID" Length="2" Table="0008" ItemNo="00018">
				<Reference>2.24.2.1</Reference>
			</Field>
			<Field Name="Message Control ID" Usage="R" Min="1" Max="1" Datatype="ST" Length="20" ItemNo="00010">
				<Reference>2.24.2.2</Reference>
			</Field>
			<Field Name="Text Message" Usage="O" Min="0" Max="1" Datatype="ST" Length="80" ItemNo="00020">
				<Reference>2.24.2.3</Reference>
			</Field>
			<Field Name="Expected Sequence Number" Usage="O" Min="0" Max="1" Datatype="NM" Length="15" ItemNo="00021">
				<Reference>2.24.2.4</Reference>
			</Field>
			<Field Name="Delayed Acknowledgment Type" Usage="O" Min="0" Max="1" Datatype="ID" Length="1" Table="0102" ItemNo="00022">
				<Reference>2.24.2.5</Reference>
			</Field>
			<Field Name="Error Condition" Usage="O" Min="0" Max="1" Datatype="CE" Length="100" ItemNo="00023">
				<Reference>2.24.2.6</Reference>
				<Component Name="identifier" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="text" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="name of coding system" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="alternate identifier" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="alternate text" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="name of alternate coding system" Usage="O" Datatype="ST" Length="3"/>
			</Field>
		</Segment>
		<Segment Name="ERR" LongName="error segment" Usage="O" Min="0" Max="1">
			<Field Name="Error Code and Location" Usage="R" Min="1" Max="*" Datatype="ELD" Length="80" ItemNo="00024">
				<Reference>2.24.3.1</Reference>
				<Component Name="segment ID" Usage="O" Datatype="ST" Length="3"/>
				<Component Name="sequence" Usage="O" Datatype="NM" Length="3"/>
				<Component Name="field position" Usage="O" Datatype="NM" Length="3"/>
				<Component Name="code identifying error" Usage="O" Datatype="CE" Length="18">
					<SubComponent Name="identifier" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="text" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="name of coding system" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="alternate identifier" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="alternate text" Usage="O" Datatype="ST" Length="3"/>
					<SubComponent Name="name of alternate coding system" Usage="O" Datatype="ST" Length="3"/>
				</Component>
			</Field>
		</Segment>
	</HL7v2xStaticDef>
</HL7v2xConformanceProfile>